image: registry.gitlab.com/wasmcooking/images/gitpod-wasm-tools:0.0.3
#  file: .gitpod.dockerfile

tasks:
  - name: initialize
    before: |

      # ------------------------------------
      # GoLang
      # ------------------------------------

      #source /home/gitpod/.gvm/scripts/gvm
      #gvm use go1.17.7

      sudo echo "source /home/gitpod/.gvm/scripts/gvm" >> $HOME/.bashrc
      sudo echo "gvm use go1.17.7" >> $HOME/.bashrc

      sudo echo "export PATH=\$PATH:/$PWD/.tools" >> $HOME/.bashrc

      source $HOME/.bashrc

      # Something to try with the docker image
      # Set up .bashrc
      #WORKDIR /home/gitpod
      #RUN echo "GIT_PROMPT_ONLY_IN_REPO=1" >> ~/.bashrc && \
      #    echo "source \${HOME}/.bash-git-prompt/gitprompt.sh" >> ~/.bashrc



    init: |

      echo "init"
      # ------------------------------------
      # Install Sat
      # ------------------------------------

      git clone https://github.com/suborbital/sat.git
      cd sat
      make sat
      sudo cp .bin/sat /usr/local/bin/
      cd ..
      rm -rf sat

ports:
  - port: 8080
    visibility: public

vscode:
  extensions:
    #- wayou.vscode-todo-highlight
    - pkief.material-icon-theme
    - golang.go
    - bungcip.better-toml
    - rust-lang.rust
    - aaron-bond.better-comments
